Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/xrdp: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Wed, 24 Dec 2014 12:48:04 +0000

---
 testing/xrdp/APKBUILD | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 testing/xrdp/APKBUILD
diff --git a/testing/xrdp/APKBUILD b/testing/xrdp/APKBUILD
new file mode 100644
index 0000000..df2d921
--- /dev/null
+++ b/testing/xrdp/APKBUILD
_at_@ -0,0 +1,50 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer:
+pkgname=xrdp
+pkgver=0.6.1
+pkgrel=0
+pkgdesc="An open source RDP server"
+url="http://sourceforge.net/projects/xrdp/"
+arch="all"
+license="GPLv2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev autoconf automake libtool openssl-dev libx11-dev
+	libxfixes-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://ufpr.dl.sourceforge.net/project/$pkgname/$pkgname/$pkgver/$pkgname-v$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-v$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./bootstrap \
+		|| return 1
+	./configure \
+		--prefix=/usr \
+		--disable-static \
+		--enable-nopam \
+		|| return 1
+	make \
+		|| return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+	find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="26099c6588943262023607c1b4e774d8  xrdp-v0.6.1.tar.gz"
+sha256sums="6880003b26799e4154a9486f671b6fc1b0487de0da2289573f46c090146e5a3b  xrdp-v0.6.1.tar.gz"
+sha512sums="d2aa5c300ed4c5e84137776f3d5f63736a8d674ef3a96eda271fd6d80ecc394a1148dd9d09b3acf3916c774fd15fe7400271ffb034a45ddae6b34ea30fb2465c  xrdp-v0.6.1.tar.gz"
-- 
2.1.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Dec 24 2014 - 12:48:04 GMT